Cyberduck Mountain Duck CLI

#7334 closed defect (fixed)

mime types: application/x-mpegurl, video/mp2t

Reported by: blacktrash Owned by: dkocher
Priority: normal Milestone: 4.4
Component: s3 Version: Nightly Build
Severity: normal Keywords: mime type
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description (last modified by dkocher)

afaics there's (yet) no way of setting the mime-types via preferences.

  • *.m3u8 hls playlists automatically are set to application/apple.vnd.mpegurl - they should be set to application/x-mpegurl, not only for non-Apple platforms, but also for consistency with JavaScript feature detection. Even iOS browsers and Mac OS desktop Safari report that they can play ("maybe") application/x-mpegurl, but not application/apple.vnd.mpegurl
  • It would be nice if the stream fragments - *.ts - are recognized, and correctly as video/mp2t

Change History (13)

comment:1 Changed on Jul 5, 2013 at 1:55:10 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Jul 5, 2013 at 1:55:19 PM by dkocher

  • Milestone set to 4.4

comment:3 in reply to: ↑ description Changed on Jul 5, 2013 at 1:56:46 PM by dkocher

Replying to blacktrash:

afaics there's (yet) no way of setting the mime-types via preferences.

  • *.m3u8 hls playlists automatically are set to application/apple.vnd.mpegurl

It is currently set to application/vnd.apple.mpegurl.

comment:4 in reply to: ↑ description Changed on Jul 5, 2013 at 1:58:24 PM by dkocher

Replying to blacktrash:

  • It would be nice if the stream fragments - *.ts - are recognized, and correctly as video/mp2t

In r11691.

comment:5 follow-up: Changed on Jul 5, 2013 at 2:03:26 PM by dkocher

Some documentation found.

the recommended configuration is typically limited to specifying MIME-type associations for .M3U8 files and .ts files as shown in X Table 1:

  • .M3U8 application/x-mpegURL or vnd.apple.mpegURL
  • .ts video/MP2T

comment:6 follow-up: Changed on Jul 5, 2013 at 2:12:05 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r11692.

comment:7 in reply to: ↑ 5 Changed on Jul 5, 2013 at 6:05:10 PM by blacktrash

Replying to dkocher:

Some documentation found.

Sorry about the mistake regarding application/vnd.apple.mpegurl - I still think that the non-proprietary type is better though (Android, Roku etc.).

comment:8 in reply to: ↑ 6 ; follow-ups: Changed on Jul 6, 2013 at 10:11:02 AM by blacktrash

Replying to dkocher:

In r11692.

In the snapshot of today: 1) cannot edit metadata (greyed out) 2) both m3u8 and ts are set to application/octet-stream - that was the case with the previous snapshot as well (yes, also m3u8)

3) unrelated: after creating a new folder and opening it, the current folder is listed within itself

comment:9 in reply to: ↑ 8 Changed on Jul 6, 2013 at 8:41:41 PM by dkocher

Replying to blacktrash:

Replying to dkocher:

In r11692.

In the snapshot of today: 1) cannot edit metadata (greyed out) 2) both m3u8 and ts are set to application/octet-stream - that was the case with the previous snapshot as well (yes, also m3u8)

3) unrelated: after creating a new folder and opening it, the current folder is listed within itself

Thanks for testing. Snapshot builds are currently a rocky terrain due to heavy refactoring. We will add tests for all these issues.

comment:10 Changed on Jul 6, 2013 at 8:41:49 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:12 in reply to: ↑ 8 Changed on Jul 9, 2013 at 10:25:49 AM by dkocher

Replying to blacktrash:

Replying to dkocher:

In r11692.

In the snapshot of today: 1) cannot edit metadata (greyed out)

Fixed in r1700.

comment:13 in reply to: ↑ 8 Changed on Jul 9, 2013 at 10:45:32 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to blacktrash:

3) unrelated: after creating a new folder and opening it, the current folder is listed within itself

Fix and test in r11797.

Note: See TracTickets for help on using tickets.
swiss made software